'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const jiti2 = require('jiti');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

const jiti2__default = /*#__PURE__*/_interopDefaultLegacy(jiti2);

const startTime = process.hrtime();
const load = jiti2__default['default']();
const nuxtConfig = load("__NUXT_CONFIG__");
const {Nuxt} = require("@nuxt/core__NUXT_SUFFIX__");
const nuxt = new Nuxt({
  _start: true,
  ...nuxtConfig
});
let isReady = false;
const readyPromise = nuxt.ready().then(() => {
  isReady = true;
  const hrTime = process.hrtime(startTime);
  const hrTimeMs = (hrTime[0] * 1e9 + hrTime[1]) / 1e6;
  console.log(`\u03BB Cold start took: ${hrTimeMs}ms`);
}).catch((error) => {
  console.error("\u03BB Error while initializing nuxt:", error);
  process.exit(1);
});
const {Server} = require("http");
const {Bridge} = require("./vercel__bridge.js");
const requestListener = async (req, res) => {
  if (!isReady) {
    await readyPromise;
  }
  nuxt.server.app(req, res);
};
const server = new Server(requestListener);
const bridge = new Bridge(server);
bridge.listen();
{
  const internalServer = new Server(requestListener);
  internalServer.listen(3e3, "127.0.0.1");
}
const launcher = bridge.launcher;

exports.launcher = launcher;
